package tag::SQL::TagsCloudTable;

use strict;
use base 'SQL::LinkTable';

sub db_table
{
	return 'tags_cloud';
}

# ----------------------------------------------------------------------------
# Свойства храним в массивах, потому что порядок важен!
# Это общие свойства - одинаковые для всех документов.
#
#   attr - обязательный параметр, название атрибута;
#   type - тип аттрибута, требуется для отображдения;
#   rusname - русское название, опять же требуется для отображения;
#   hidden - равен 1, когда 
#   readonly - инициализации при записи только без изменения в дальнейшем
#   db_field - поле в таблице
#   default  - значение по умолчанию (поле всегда имеет это значение)
# ----------------------------------------------------------------------------
sub required_properties
{
	my $self = shift;

	my @parent_properties = $self->SUPER::required_properties;
	return (
		@parent_properties,
	);
}

########### FILTERS DESCRIPTION ####################################################################################

1;

